package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by WangYao on 2018/5/23.
 */
public class ResourceAPIRegisterSearchModel extends PagingBaseModel {
    //所属单位
    private String providerName;
    //APImingcheng
    private String resourceName;
    //起始时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerAPIFrom;
    //结束时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerAPITo;
    //状态
    private String resourceState;

    private Long orgId ;

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public Date getRegisterAPIFrom() {
        return registerAPIFrom;
    }

    public void setRegisterAPIFrom(Date registerAPIFrom) {
        this.registerAPIFrom = registerAPIFrom;
    }

    public String getResourceState() {
        return resourceState;
    }

    public Date getRegisterAPITo() {
        return registerAPITo;
    }

    public void setRegisterAPITo(Date registerAPITo) {
        this.registerAPITo = registerAPITo;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
